Subject: Re: [PATCH 2/7] add push line in git-clone

From: Paolo Bonzini <[email-masked]>
Date: Tue, 06 May 2008 10:37:56 +0200

> Used together with [1/7], this change is Ok in a homogeneous environment,
> but it would break people who use git of different vintage on the same
> repository (think of a repository on a networked filesystem).  You clone
> like this, and older git won't grok the push configuration anymore.
> 
> It may look a very minor point, but I think it deserves mentioning.

I think it is reasonable to require cloning with the 
least-common-denominator version in this case.  Think of what happened 
if the pack format changed.

Paolo